読者です 読者をやめる 読者になる 読者になる

GentooでGroovyが上手く起動しないorz

gentoo groovy

Groovy使いたくて下記コマンドを実行!

emerge groovy

インストール完了! 下記コマンドで実行!

% groovy
Traceback (most recent call last):
  File "/usr/bin/gjl-2.7", line 265, in 
    vm = get_vm(pkg)
  File "/usr/bin/gjl-2.7", line 157, in get_vm
    target, needs_jdk = get_needed_target2(pkg)
  File "/usr/bin/gjl-2.7", line 49, in get_needed_target2
    target = pkg.target()
  File "/usr/lib64/python2.7/site-packages/java_config_2/Virtual.py", line 112, in target
    return self.get_provider().query("TARGET")
AttributeError: 'NoneType' object has no attribute 'query'
Couldn't get needed information

Orz....

 

Groovyを使いたいのにPythonエラーが出る謎の感じになりましたとさ。

インストールされるバージョンも1.8系と古いので、ふつうに公式からバイナリ落として、パスを通しました。

そしたら普通に動いたよ! groovy-binとかいうebuildを書くべきか悩ましい...